<?php
// Tableau des codes postaux
$CP_DEPT = array (
    'CRETEIL'   => array ('CP' => 94000, 'DEPT' => 'Val-de-Marne'),
    'NICE'      => array ('CP' => 6000, 'DEPT' => 'Alpes-Maritimes'),
    'LA BAULE'  => array ('CP' => 44500, 'DEPT' => 'Loire-Atlantique'),
    'STRASBOURG'=> array ('CP' => 67000, 'DEPT' => 'Bas-Rhin'));
// affichage du tableau
echo '--- Affichage de $CP_DEPT ---'.PHP_EOL;
foreach($CP_DEPT as $codeville => $ligne_ville)
{
  echo "$codeville : \t";
  foreach($ligne_ville as $colonne => $valeur)
  {
    echo "[$colonne]:$valeur\t";
  }
  echo PHP_EOL;
}
echo PHP_EOL;

echo "Entrez une donnée à chercher :";
$donneerecherche=fgets(STDIN);
$donneerecherche=trim($donneerecherche);

echo "Entrez une clé à chercher :";
$clefrecherche=fgets(STDIN);
// suppression des espaces au début , à la fin et suppression du saut de ligne
$clefrecherche=trim($clefrecherche);

$trouvedonnee=false;
$trouveclef=false;
// ------------------------------
// boucle de recherche de la clef
// ------------------------------
// boucle de parcours des lignes
foreach($CP_DEPT as $codeville => $ligne_ville)
{ // on teste si la clef recherchée est trouvée à cette ligne
  if ($codeville == $clefrecherche)
  {
     $trouveclef=true;
     $coordonnees="ligne";
  }
  // boucle de parcours des colonnes
  foreach($ligne_ville as $colonne => $valeur)
  { // on teste si la clef recherchée est trouvée à cette colonne
    if ($colonne == $clefrecherche)
    {
     $trouveclef=true;
     $coordonnees="colonne";
    }
    // on teste si la donnée recherchée est trouvée à cette ligne et colonne
    if ($valeur == $donneerecherche)
    {
     $trouvedonnee=true;
     $ligne=$codeville;
    }
  }
}

if ($trouvedonnee)
  echo "La valeur $donneerecherche est trouvée à la ligne $ligne et la colonne $colonne".PHP_EOL;
else
  echo "La valeur $donneerecherche est non trouvée".PHP_EOL;

if ($trouveclef)
  echo "La clef $clefrecherche est trouvée en $coordonnees".PHP_EOL;
else
  echo "La clef $clefrecherche est non trouvé".PHP_EOL;
?>
